Subject: Re: [PATCH] git-gui: add configurable tab size to the diff view git-gui - why not added to git-gui ?

From: Junio C Hamano <[email-masked]>
Date: Fri, 19 Sep 2014 10:02:23 -0700

Junio C Hamano <[email-masked]> writes:

> I do not use git-gui, and I do not speak very good tcl/tk either, so
> I won't comment on the patch itself (Cc'ed its maintainer Pat), but
> thanks for trying to relay, anyway.
>
>> ----------------------
>>
>> For Tk 8.5 the "wordprocessor" mode allows us to get a bit fancy for merge
>> diffs and intend the tabs by one to compensate for the additional diff
>> marker at the line start.
>>
>> The code is heavily based on how gitk handles tabs.
>>
>> Signed-off-by: Michael Lutz <michi@xxxxxxxxxxxxxx>
>
> With this, the author refuses to be contacted if/when any question
> arises wrt the provenance of the patch, which is not a usable form
> of a sign-off.  When you relay a change from somebody else who
> claims that he has rights to contribute the change to the project,
> and you have the rights to relay that change to the project, please
> also add your own sign-off.

Heh, I spoke too fast.  The original is at $gmane/190576 [*1*] and
the butchering of the address is only due to the the spinics list
archive pb158 grabbed his or her copy from.

So we don't need any forwarder's sign-off.  As long as the change is
acceptable (I have no opinion on it), the original can be directly
applied.

[References] 

*1* http://article.gmane.org/gmane.comp.version-control.git/190576/raw